Bug 211835 - Netgear MA401 fails in FC6
Netgear MA401 fails in FC6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
6
i386 Linux
high Severity high
: ---
: ---
Assigned To: John W. Linville
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-23 10:13 EDT by Harish Pillay
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 13:53:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harish Pillay 2006-10-23 10:13:01 EDT
Description of problem:
Loaded up FC6 and the previously functional (under RHEL3 and 4
and FC4/5) Netgear MA401 failed to get IP#.

Version-Release number of selected component (if applicable):

FC6 Gold

The output from dmesg when the card is loaded:
ieee80211_crypt: registered algorithm 'NULL'
hostap_cs: 0.4.4-kernel (Jouni Malinen <jkmaline@cc.hut.fi>)
hostap_cs: setting Vcc=33 (constant)
Checking CFTABLE_ENTRY 0x01 (default 0x01)
IO window settings: cfg->io.nwin=1 dflt.io.nwin=1
io->flags = 0x0046, io.base=0x0000, len=64
hostap_cs: Registered netdevice wifi0
hostap_cs: index 0x01: , irq 3, io 0x0100-0x013f
prism2_hw_init: initialized in 196 ms
wifi0: NIC: id=0x800c v1.0.0
wifi0: PRI: id=0x15 v1.0.7
wifi0: STA: id=0x1f v1.3.6
wifi0: defaulting to host-based encryption as a workaround for firmware bug in
Host AP mode WEP
wifi0: defaulting to bogus WDS frame as a workaround for firmware bug in Host AP
mode WDS
wifi0: registered netdevice wlan0
orinoco 0.15 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin
<proski@gnu.org>, et al)
orinoco_cs 0.15 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin
<proski@gnu.org>, et al)

When dhclient wifi0 is run, dmesg shows:
wifi0: Host AP mode does not support 'Any' essid
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)

iwconfig shows:
wifi0     IEEE 802.11b  ESSID:"singtel"
          Mode:Master  Frequency:2.422 GHz Access Point: 00:30:AB:20:68:72
          Bit Rate:11 Mb/s   Sensitivity=1/3
          Retry min limit:8   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off

wlan0     IEEE 802.11b  ESSID:"singtel"
          Mode:Master  Frequency:2.422 GHz Access Point: 00:30:AB:20:68:72
          Bit Rate:11 Mb/s   Sensitivity=1/3
          Retry min limit:8   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

The problem really is that the AP as indicated above is actually
the card's mac address not the AP's mac.  

Even if I were to execute:

iwconfig wifi0 essid singtel ap 00:06:25:5E:08:4F
does not change the AP value.

How reproducible:


Steps to Reproduce:
1. Plug in the PCMCIA card
2. check iwconfig and you will see the AP MAC showing
up as the card's MAC
  
Actual results:

no matter what is done to switch the AP's mac to the
right one via the command line, it does not take it.
The ESSID can be changed though.
Comment 1 Harish Pillay 2006-10-23 10:32:30 EDT
OK, did some more checking.  The default set up was to have the card in an
"Auto" mode which set it up as a "master".  Switching the mode in "Wireless
Settings" of the gui, I could get the card to associate with the AP I have.  The
command iwconfig also works.

What is left now is that when the dhclient is executed, it gives the following
error in dmesg:
wifi0: LiniStatus=1 (Connected)
wifi0: LinkStatus: BSSID=00:06:25:5e:08:4f
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
...

until dhclient fails.
Comment 2 John W. Linville 2006-10-23 15:05:52 EDT
Are you using wifi0?  Or wlan0?  That message would seem to indicate that 
frames are being injected on the wrong interface...?
Comment 4 Harish Pillay 2006-10-23 23:39:35 EDT
Thanks, John, for that link.  Yes, using wlan0 works and am finally able to get
out.  The command line option is the only way to do this successfully:

iwconfig wlan0 mode managed
iwconfig wlan0 essid singtel
dhclient wlan0

The GUI tools do not allow me to set up wlan0 - it defaults to wifi0 and there
are no means to enter the text wlan0.

Two issues really:
a) need to have a unified wlan0/wifi0 interface - especially in the GUI
b) why does the card go into master mode instead of managed?

Perhaps this has to do with hostap.
Comment 5 BUFFETRILLE 2006-11-25 12:38:34 EST
Hi guy's

I have the similar problems.
I have installed FC6 and I got 2 detected network cards:
-ethernet Realtek RTL-8029(AS)
-wireless Broadcom Corp. BCM94306 (Belkin F5D7000).
It is an ethernet one called "eth0" and other card is wireless one called "eth1"
under System-Config-Network GUI.
I cannot actived this two cards.
All cards works with others Operating Systems (Windows 2000 Pro, XP Pro and
Mandriva Linux 2006) on the same computer.

Please could you confirm if it is the same problem.
Comment 6 John W. Linville 2006-11-27 13:36:08 EST
BUFFETRILLE, you seem to be describing a different problem.  Please open a 
seperate bug.
Comment 7 John W. Linville 2006-11-27 13:53:17 EST
Harish, hopefully we can normalize this behaviour with the move to the d80211 
stack.  For now, I think we just have to live with it as the way the hostap 
driver works.  You may wish to try the prism driver as an alternative.
Comment 8 John W. Linville 2006-11-27 14:57:36 EST
That should be "...try the orinoco driver as an alternative" -- I was typing 
faster than I was thinking...

Note You need to log in before you can comment on or make changes to this bug.